Bug 718110 - ibus icon isn't scaling on gnome-shell when the text size is changed
Summary: ibus icon isn't scaling on gnome-shell when the text size is changed
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F16Blocker, F16FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2011-07-01 02:41 UTC by Akira TAGOH
Modified: 2011-09-01 09:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-01 09:50:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot for the bad rendering of the application icon with ibus (4.58 KB, image/png)
2011-07-01 02:41 UTC, Akira TAGOH
no flags Details
Screenshot for the bad rendering of the edge border with ibus (3.17 KB, image/png)
2011-07-01 02:43 UTC, Akira TAGOH
no flags Details

Description Akira TAGOH 2011-07-01 02:41:45 UTC
Created attachment 510782 [details]
Screenshot for the bad rendering of the application icon with ibus

Description of problem:
When changing the text size to small say, the ibus icon is rendered without scaling down. this behavior seems affecting bad rendering of the application icon and the edge border on the activities.

Version-Release number of selected component (if applicable):
ibus-1.3.99.20110419-7.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1.run gnome-control-center universal-access
2.change the text size to small
3.see the application icon or open activities and see the edge corner.
  
Actual results:
always

Expected results:
the ibus icon should be scaled down.

Additional info:

Comment 1 Akira TAGOH 2011-07-01 02:43:40 UTC
Created attachment 510783 [details]
Screenshot for the bad rendering of the edge border with ibus

Comment 2 Akira TAGOH 2011-07-01 02:45:01 UTC
once killing ibus, those two are rendered properly.

Comment 3 fujiwara 2011-07-01 02:55:38 UTC
Workaround:
# yum install --enablerepo=updates-testing ibus ibus-gnome3

I think this will be fixed once IBus GJS is integrated or available for GNOME-Shell.

Comment 4 Akira TAGOH 2011-07-12 06:50:51 UTC
btw that workaround seems not working anymore on -10.

Comment 5 fujiwara 2011-07-13 02:56:46 UTC
(In reply to comment #4)
> btw that workaround seems not working anymore on -10.

I don't understand what is happened in your system.
If I install ibus* -10, the ibus gjs works fine with gnome-shell in my env.

Comment 6 Adam Williamson 2011-07-26 01:51:12 UTC
can you please cite the release criterion this infringes? thanks!



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 7 Akira TAGOH 2011-07-26 06:23:21 UTC
assuming that this meets to """
All elements of the default panel (or equivalent) configuration in all release-blocking desktops must function correctly in common use
""" in Final Release Criteria.

Comment 8 fujiwara 2011-09-01 09:50:55 UTC
ibus-gnome3 is added in f16 comps


Note You need to log in before you can comment on or make changes to this bug.